package de.hft.stuttgart.citydoctor2.gui.tree;

import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.BuildingPart;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class AllBuildingPartsNode extends Renderable {
	
	private final List<BuildingPart> buildingParts;
	
	public AllBuildingPartsNode(List<BuildingPart> buildingParts) {
		this.buildingParts = buildingParts;
	}
	
	@Override
	public String getText() {
		return "Building Parts";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.clearCurrentRender();
	}

	@Override
	public void refreshTextColor() {
		boolean wasChecked = false;
		for (BuildingPart bp : buildingParts) {
			if (bp.isValidated()) {
				wasChecked = true;
				if (bp.containsAnyError()) {
					setStatus(CheckStatus.ERROR);
					return;
				}
			}
		}
		if (wasChecked) {
			setStatus(CheckStatus.OK);
		} else {
			setStatus(CheckStatus.NOT_CHECKED);
		}
	}

}
